Summary:	Networked grep
Summary(pl.UTF-8):	Sieciowy grep
Name:		ngrep
Version:	1.45
Release:	5
License:	BSD
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/ngrep/%{name}-%{version}.tar.bz2
# Source0-md5:	bc8150331601f3b869549c94866b4f1c
Patch0:		%{name}-cflags.patch
Patch1:		%{name}-pcap.patch
URL:		http://ngrep.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:1.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep is a pcap-aware tool that will allow
you to specify extended regular expressions to match against data
payloads of packets. It currently recognizes TCP and UDP across
ethernet, ppp and slip interfaces, and understands bpf filter logic in
the same fashion as more common packet sniffing tools, like tcpdump
and snoop.

%description -l pl.UTF-8
Ngrep próbuje wypełnić zadania stawiane grep-owi, w odniesieniu do
poziomu sieci. Ngrep korzysta z biblioteki pcap, pozwala na
korzystanie z wyrażeń regularnych zastosowanych do pakietów czy
kawałków danych. Obecnie obrabia pakiety TCP i UDP przychodzące na
interfejsy ethernet, ppp i slip. Ngrep zna zasady filtrowania bpf w
takim samym stylu jak częściej używane pakiety typu tpcdump czy snoop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-ipv6 \
	--disable-pcap-restart
%{__make} \
	MAKEFLAGS= \
	STRIPFLAG=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install ngrep $RPM_BUILD_ROOT%{_sbindir}
install ngrep.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt doc/{CHANGES,CREDITS,README,REGEX}.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%changelog
* Mon Jul 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ngrep.git;a=log;h=master

* Mon Jul 03 2017 Adam Osuchowski <adwol@pld-linux.org> c323c79
- add --disable-pcap-restart configure option due to `undefined symbol: pcap_restart' error (thanks to bartml@wp.pl)
- rel up

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> da4b1f2
- release 4

* Sat Jan 03 2009 areq <areq@pld-linux.org> eb8e277
- libpcap 1.0.0

* Sat Jan 03 2009 areq <areq@pld-linux.org> 550bda0
- libpcap 1.0.0 compatible

* Sun Jun 29 2008 areq <areq@pld-linux.org> 120f19b
- don't cp -f %{_datadir}/libtool/config.sub .

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> 0c4b712
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 623bb99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62db11d
- converted to UTF-8

* Thu Nov 30 2006 sparky <sparky@pld-linux.org> 87854e2
- kill MAKEFLAGS, czuses some weird errors; don't strip

* Wed Nov 29 2006 aredridel <aredridel@pld-linux.org> 9f3305f
- 1.45

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> dda78ce
- orphaned, outdated

* Sun Feb 26 2006 sparky <sparky@pld-linux.org> 1f3b9a3
- fix cflags in regex

* Tue Jan 31 2006 Elan Ruusamäe <glen@pld-linux.org> 2d5c739
- unify

* Tue Jan 31 2006 aredridel <aredridel@pld-linux.org> 6c81f37
- enable ipv6
- rel 2

* Sun Jul 03 2005 undefine <undefine@pld-linux.org> 0972d53
- up to 1.44

* Wed Jun 08 2005 zbyniu <zbyniu@pld-linux.org> 71f2faf
- BR: libtool

* Wed Mar 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 9c38dd8
- obsolete

* Wed Mar 09 2005 nail2k <nail2k@pld-linux.org> 4e709e4
- up to 1.43
- dropped ngrep-pcap-bpf.patch

* Thu Jul 29 2004 ankry <ankry@pld-linux.org> 9d952da
- rel. 2

* Fri Jul 02 2004 areq <areq@pld-linux.org> bc2b2d0
- copy config.sub to allow build on amd64

